summaryrefslogtreecommitdiffstats
path: root/desktop/wmbiff
diff options
context:
space:
mode:
author Cezary M. Kruk2010-05-12 23:28:24 +0200
committer David Somero2010-05-12 23:28:24 +0200
commit588001ae307d8e6b7d0495e53d014d4cc0f84a44 (patch)
treedb188092fa2a853474f15df52f10632ba87139ec /desktop/wmbiff
parent6a7d01be98fbef89a03c6818d250a7aea5c4bdd5 (diff)
downloadslackbuilds-588001ae307d8e6b7d0495e53d014d4cc0f84a44.tar.gz
desktop/wmbiff: Added to 12.2 repository
Diffstat (limited to 'desktop/wmbiff')
-rw-r--r--desktop/wmbiff/README4
-rw-r--r--desktop/wmbiff/slack-desc19
-rw-r--r--desktop/wmbiff/wmbiff.SlackBuild78
-rw-r--r--desktop/wmbiff/wmbiff.info8
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/wmbiff/README b/desktop/wmbiff/README
new file mode 100644
index 0000000000..8aac5d6d7a
--- /dev/null
+++ b/desktop/wmbiff/README
@@ -0,0 +1,4 @@
+wmbiff is Window Maker mailbox dockable application
+
+wmbiff displays the status of up to five mailboxes. It shows the
+number of new mail messages, if any, or the total number of messages.
diff --git a/desktop/wmbiff/slack-desc b/desktop/wmbiff/slack-desc
new file mode 100644
index 0000000000..e094671091
--- /dev/null
+++ b/desktop/wmbiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmbiff: wmbiff (Window Maker mailbox dockable application)
+wmbiff:
+wmbiff: wmbiff displays the status of up to five mailboxes. It shows the
+wmbiff: number of new mail messages, if any, or the total number of messages.
+wmbiff:
+wmbiff:
+wmbiff:
+wmbiff:
+wmbiff:
+wmbiff:
+wmbiff:
diff --git a/desktop/wmbiff/wmbiff.SlackBuild b/desktop/wmbiff/wmbiff.SlackBuild
new file mode 100644
index 0000000000..5e7721bf09
--- /dev/null
+++ b/desktop/wmbiff/wmbiff.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for wmbiff
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmbiff
+VERSION=${VERSION:-0.4.27}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cp -a wmbiff/sample.wmbiffrc $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmbiff/wmbiff.info b/desktop/wmbiff/wmbiff.info
new file mode 100644
index 0000000000..50ca3bb142
--- /dev/null
+++ b/desktop/wmbiff/wmbiff.info
@@ -0,0 +1,8 @@
+PRGNAM="wmbiff"
+VERSION="0.4.27"
+HOMEPAGE="http://wmbiff.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/wmbiff/wmbiff-0.4.27.tar.gz"
+MD5SUM="50466b6e4a143cf4e55546b34d5792e6"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"